summaryrefslogtreecommitdiff
path: root/debian/configure
diff options
context:
space:
mode:
authorRichard A Nelson (Rick) <cowboy@debian.org>2008-07-15 22:25:00 +0000
committerAndreas Beckmann <debian@abeckmann.de>2012-10-01 20:07:42 +0200
commitcb83348f6c0b88c1d1104d6868be756aa51cc5fa (patch)
treeebed61709d675b931e169105a514a8b82b1a0b83 /debian/configure
parentc0720aa475c782c27a17942561685db0e730a77d (diff)
downloadsendmail-cb83348f6c0b88c1d1104d6868be756aa51cc5fa.tar.gz
Imported Debian patch 8.14.3-5debian/8.14.3-5
Diffstat (limited to 'debian/configure')
-rw-r--r--debian/configure134
1 files changed, 77 insertions, 57 deletions
diff --git a/debian/configure b/debian/configure
index f574a5b..c161d6b 100644
--- a/debian/configure
+++ b/debian/configure
@@ -2080,6 +2080,48 @@ _ACEOF
program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
rm -f conftest.sed
+{ echo "$as_me:$LINENO: checking for a thread-safe mkdir -p" >&5
+echo $ECHO_N "checking for a thread-safe mkdir -p... $ECHO_C" >&6; }
+if test -z "$MKDIR_P"; then
+ if test "${ac_cv_path_mkdir+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH$PATH_SEPARATOR/opt/sfw/bin
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_prog in mkdir gmkdir; do
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; } || continue
+ case `"$as_dir/$ac_prog$ac_exec_ext" --version 2>&1` in #(
+ 'mkdir (GNU coreutils) '* | \
+ 'mkdir (coreutils) '* | \
+ 'mkdir (fileutils) '4.1*)
+ ac_cv_path_mkdir=$as_dir/$ac_prog$ac_exec_ext
+ break 3;;
+ esac
+ done
+ done
+done
+IFS=$as_save_IFS
+
+fi
+
+ if test "${ac_cv_path_mkdir+set}" = set; then
+ MKDIR_P="$ac_cv_path_mkdir -p"
+ else
+ # As a last resort, use the slow shell script. Don't cache a
+ # value for MKDIR_P within a source directory, because that will
+ # break other packages using the cache if that directory is
+ # removed, or if the value is a relative name.
+ test -d ./--version && rmdir ./--version
+ MKDIR_P="$ac_install_sh -d"
+ fi
+fi
+{ echo "$as_me:$LINENO: result: $MKDIR_P" >&5
+echo "${ECHO_T}$MKDIR_P" >&6; }
+
{ echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
@@ -2250,48 +2292,6 @@ else
echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
fi
-{ echo "$as_me:$LINENO: checking for a thread-safe mkdir -p" >&5
-echo $ECHO_N "checking for a thread-safe mkdir -p... $ECHO_C" >&6; }
-if test -z "$MKDIR_P"; then
- if test "${ac_cv_path_mkdir+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH$PATH_SEPARATOR/opt/sfw/bin
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_prog in mkdir gmkdir; do
- for ac_exec_ext in '' $ac_executable_extensions; do
- { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; } || continue
- case `"$as_dir/$ac_prog$ac_exec_ext" --version 2>&1` in #(
- 'mkdir (GNU coreutils) '* | \
- 'mkdir (coreutils) '* | \
- 'mkdir (fileutils) '4.1*)
- ac_cv_path_mkdir=$as_dir/$ac_prog$ac_exec_ext
- break 3;;
- esac
- done
- done
-done
-IFS=$as_save_IFS
-
-fi
-
- if test "${ac_cv_path_mkdir+set}" = set; then
- MKDIR_P="$ac_cv_path_mkdir -p"
- else
- # As a last resort, use the slow shell script. Don't cache a
- # value for MKDIR_P within a source directory, because that will
- # break other packages using the cache if that directory is
- # removed, or if the value is a relative name.
- test -d ./--version && rmdir ./--version
- MKDIR_P="$ac_install_sh -d"
- fi
-fi
-{ echo "$as_me:$LINENO: result: $MKDIR_P" >&5
-echo "${ECHO_T}$MKDIR_P" >&6; }
-
mkdir_p="$MKDIR_P"
case $mkdir_p in
[\\/$]* | ?:[\\/]*) ;;
@@ -5139,14 +5139,29 @@ done
if test "$sm_have_mfapi" = 'yes'; then
{ echo "$as_me:$LINENO: checking libmilter version" >&5
echo $ECHO_N "checking libmilter version... $ECHO_C" >&6; }
- cat >conftest.$ac_ext <<_ACEOF
+ if test "$cross_compiling" = yes; then
+ { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
+ { (exit 1); exit 1; }; }
+else
+ cat >conftest.$ac_ext <<_ACEOF
+ /*
+ * This hack will compile and run a program
+ * to determine what level of libmilter should
+ * be used for this package
+ */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "libmilter/mfapi.h"
char vers[30] = "0";
int main (void) {
+ FILE *confout = fopen("conftest.out","w");
+ if (!confout)
+ return 1;
snprintf(vers
,sizeof(vers)
,"%d%c%d%c%d"
@@ -5156,10 +5171,11 @@ echo $ECHO_N "checking libmilter version... $ECHO_C" >&6; }
,'.'
,SM_LM_VRS_PLVL(SMFI_VERSION)
);
- fprintf(stdout
+ fprintf(confout
,"%s\n"
,vers
);
+ close(confout);
return 0;
}
@@ -5175,7 +5191,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext >conftest.out 2>conftest.err'
+ (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
@@ -5185,7 +5201,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- sm_libmilter_version="$(cat conftest.out)"
+ sm_libmilter_version=`cat conftest.out`
else
echo "$as_me: program exited with status $ac_status" >&5
@@ -5197,6 +5213,9 @@ sm_libmilter_version=0
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+
{ echo "$as_me:$LINENO: result: $sm_libmilter_version" >&5
echo "${ECHO_T}$sm_libmilter_version" >&6; }
fi;
@@ -5811,9 +5830,9 @@ if test $sm_enable_newdb != no; then
-for ac_header in db4/db.h db3/db.h db2/db.h db1/db.h db.h \
- db4/db_185.h db3/db_185.h db2/db_185.h \
- db1/db_185.h db_185.h
+for ac_header in db.h db4/db.h db3/db.h db2/db.h db1/db.h \
+ db_185.h db4/db_185.h db3/db_185.h db2/db_185.h \
+ db1/db_185.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
@@ -5957,11 +5976,11 @@ fi
done
- if [ $ac_cv_header_db4_db_h = yes ] \
+ if [ $ac_cv_header_db_h = yes ] \
+ || [ $ac_cv_header_db4_db_h = yes ] \
|| [ $ac_cv_header_db3_db_h = yes ] \
|| [ $ac_cv_header_db2_db_h = yes ] \
- || [ $ac_cv_header_db1_db_h = yes ] \
- || [ $ac_cv_header_db_h = yes ]; then
+ || [ $ac_cv_header_db1_h = yes ]; then
sm_have_newdb=yes;
fi;
@@ -6251,7 +6270,7 @@ if test $ac_cv_lib_db_4_5_db_create = yes; then
sm_newdb_lib='db-4.5'
else
- { echo "$as_me:$LINENO: checking for db_create in -ldb-4.4" >&5
+ { echo "$as_me:$LINENO: checking for db_create in -ldb-4.4" >&5
echo $ECHO_N "checking for db_create in -ldb-4.4... $ECHO_C" >&6; }
if test "${ac_cv_lib_db_4_4_db_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -6316,7 +6335,7 @@ if test $ac_cv_lib_db_4_4_db_create = yes; then
sm_newdb_lib='db-4.4'
else
- { echo "$as_me:$LINENO: checking for db_create in -ldb-4.3" >&5
+ { echo "$as_me:$LINENO: checking for db_create in -ldb-4.3" >&5
echo $ECHO_N "checking for db_create in -ldb-4.3... $ECHO_C" >&6; }
if test "${ac_cv_lib_db_4_3_db_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -6381,7 +6400,7 @@ if test $ac_cv_lib_db_4_3_db_create = yes; then
sm_newdb_lib='db-4.3'
else
- { echo "$as_me:$LINENO: checking for db_create_4002 in -ldb-4.2" >&5
+ { echo "$as_me:$LINENO: checking for db_create_4002 in -ldb-4.2" >&5
echo $ECHO_N "checking for db_create_4002 in -ldb-4.2... $ECHO_C" >&6; }
if test "${ac_cv_lib_db_4_2_db_create_4002+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -6446,7 +6465,7 @@ if test $ac_cv_lib_db_4_2_db_create_4002 = yes; then
sm_newdb_lib='db-4.2'
else
- { echo "$as_me:$LINENO: checking for db_create in -ldb" >&5
+ { echo "$as_me:$LINENO: checking for db_create in -ldb" >&5
echo $ECHO_N "checking for db_create in -ldb... $ECHO_C" >&6; }
if test "${ac_cv_lib_db_db_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -6510,7 +6529,8 @@ echo "${ECHO_T}$ac_cv_lib_db_db_create" >&6; }
if test $ac_cv_lib_db_db_create = yes; then
sm_newdb_lib='db'
else
- sm_have_newdb=no
+
+ sm_have_newdb=no
fi
fi